main/python3: security upgrade to 3.7.10

Python 3.7.7 is vulnerable to the following CVEs, some of which have
been addressed by cherry-picking upstream patches:

* CVE-2020-8492
* CVE-2020-14422 (CVE-2020-14422.patch)
* CVE-2020-26116
* CVE-2021-3177 (d9b8f138b7df3b455b54653ca59f491b4840d6fa.patch)
* CVE-2021-23336

Upgrade to Python 3.7.10, which includes fixes for all of these CVEs
(thereby making d9b8f138b7df3b455b54653ca59f491b4840d6fa.patch and
CVE-2020-14422.patch redundant) and also includes the fix for
test_nntplib in test_nntplib.patch.
7 jobs for !18681 with 3.10-stable-python-3.7.10 in 74 minutes and 41 seconds
detached
Status Job ID Name Coverage
  Lint
failed #331184
docker-alpine x86_64 allowed to fail
lint

00:00:08

 
  Build
passed #331189
docker-alpine ci-build aarch64
build-aarch64

00:24:16

passed #331190
docker-alpine ci-build armv7
build-armv7

00:24:53

passed #331188
docker-alpine ci-build ppc64le
build-ppc64le

00:58:55

passed #331187
docker-alpine ci-build s390x
build-s390x

00:18:19

passed #331186
docker-alpine ci-build x86
build-x86

00:15:58

passed #331185
docker-alpine ci-build x86_64
build-x86_64

00:10:20

 
Name Stage Failure
failed
lint Lint
No job log